Bug 202232 - vgchange -p isn't implemented
vgchange -p isn't implemented
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
low Severity low
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-11 14:04 EDT by Issue Tracker
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0287
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 20:03:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2006-08-11 14:04:34 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2006-08-11 14:04:52 EDT
man page for vgcreate states:

-p, --maxphysicalvolumes MaxPhysicalVolumes
              Sets  the  maximum number of physical volumes that can belong to this volume group. The setting can be changed with vgchange.

man page for vgchange and 'vgchange --help' clearly doesn't have an option for it.  The only way I could find to alter this setting is to start over and recreate your VG from scratch.
This event sent from IssueTracker by jwhiter  [Support Engineering Group]
 issue 99611
Comment 2 Issue Tracker 2006-08-11 14:04:59 EDT
File uploaded: lvm_manpage.patch

This event sent from IssueTracker by jwhiter  [Support Engineering Group]
 issue 99611
it_file 67396
Comment 3 Issue Tracker 2006-08-11 14:05:13 EDT
Patch to fix the manpage.


This event sent from IssueTracker by jwhiter  [Support Engineering Group]
 issue 99611
Comment 4 Alasdair Kergon 2006-08-16 09:53:12 EDT
vgchange -p  ought to work
Comment 5 Alasdair Kergon 2006-08-16 10:40:56 EDT
committed upstream
Comment 6 Alasdair Kergon 2006-08-16 10:42:12 EDT
BTW comment #1 - you could have used vgcfgbackup - edited max_pv to the new
value - then vgcfgrestore
Comment 7 Alasdair Kergon 2006-08-16 10:45:22 EDT
comment #5 was ambiguous:  the patch I've committed is to implement vgchange -p
Comment 8 Chris Evich 2006-08-17 11:06:44 EDT
Re: latest bug 202232 comment- Interesting, so is "vgchange -p" something that
could happen in a later RHEL4 update as a feature, or should we not hold our breath?
Comment 9 Alasdair Kergon 2006-08-17 11:10:18 EDT
unless objections are raised, it should get picked up in the next update
Comment 10 RHEL Product and Program Management 2006-08-18 10:42:59 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 Alasdair Kergon 2006-11-10 17:21:02 EST
lvm2-2.02.14-1 built
Comment 12 Corey Marthaler 2006-12-19 10:47:34 EST
fix verified in lvm2-2.02.17-1.
Comment 16 Red Hat Bugzilla 2007-05-07 20:03:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0287.html

Note You need to log in before you can comment on or make changes to this bug.